Support » Plugin: MainWP Child » Compatibility Issues with PHP 7.2

  • Resolved gravatard

    (@gravatard)


    Greetings,

    I’m noticing an issue with PHP 7.2 compatibility. Here is my PHP Compatibility Checker log:

    FILE: /public_html/wp-content/plugins/mainwp-child/class/class-mainwp-child-back-wp-up.php
    ———————————————————————————————————————————–
    FOUND 0 ERRORS AND 2 WARNINGS AFFECTING 2 LINES
    ———————————————————————————————————————————–
    383 | WARNING | INI directive ‘safe_mode’ is deprecated since PHP 5.3 and removed since PHP 5.4
    918 | WARNING | INI directive ‘mbstring.func_overload’ is deprecated since PHP 7.2
    ———————————————————————————————————————————–

    FILE: /public_html/wp-content/plugins/mainwp-child/class/class-mainwp-child-updraft-plus-backups.php
    ———————————————————————————————————————————————
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————————————————————
    795 | WARNING | Function create_function() is deprecated since PHP 7.2; Use an anonymous function instead
    ———————————————————————————————————————————————

    FILE: /public_html/wp-content/plugins/mainwp-child/class/class-mainwp-keyword-links.php
    ——————————————————————————————————————————–
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ——————————————————————————————————————————–
    346 | WARNING | Function create_function() is deprecated since PHP 7.2; Use an anonymous function instead
    ——————————————————————————————————————————–

    FILE: /public_html/wp-content/plugins/mainwp-child/class/class-mainwp-child.php
    ————————————————————————————————————————
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ————————————————————————————————————————
    1152 | WARNING | INI directive ‘safe_mode’ is deprecated since PHP 5.3 and removed since PHP 5.4
    ————————————————————————————————————————

    FILE: /public_html/wp-content/plugins/mainwp-child/class/class-mainwp-child-db.php
    —————————————————————————————————————————
    FOUND 7 ERRORS AFFECTING 7 LINES
    —————————————————————————————————————————
    20 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    28 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    36 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    44 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    55 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    66 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    77 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    —————————————————————————————————————————

    FILE: /public_html/wp-content/plugins/mainwp-child/class/class-mainwp-child-server-information.php
    ——————————————————————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ——————————————————————————————————————————————-
    1190 | WARNING | INI directive ‘safe_mode’ is deprecated since PHP 5.3 and removed since PHP 5.4
    ——————————————————————————————————————————————-

    FILE: /public_html/wp-content/plugins/mainwp-child/mainwp-child.php
    ————————————————————————————————————
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ————————————————————————————————————
    39 | WARNING | Use of __autoload() function is deprecated since PHP 7.2
    ————————————————————————————————————

    I’d read that you’ll use __autoload() as a fallback so won’t remove it, but this seemed like an excessive amount of errors. Just wanted to inform in case you were unaware.

    Thanks!

Viewing 6 replies - 1 through 6 (of 6 total)
  • @gravatard thanks for reporting this. Can you please open a helpdesk ticket at https://mainwp.com/support/ so we can investigate this further?

    Sure Bogdan, will do!

    Pieter

    (@senlin)

    Came here to report the same thing, issue is certainly not resolved for a scan for PHP 7.0 it comes up with 3 Warnings and 9 Errors.

    Any idea when you are planning to tackle this?

    Ditto Pieter (@senlin)

    FILE: ../wp-content/plugins/mainwp-child/class/class-mainwp-child-server-information.php
    ———————————————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————————————-
    1190 | WARNING | INI directive ‘safe_mode’ is deprecated since PHP 5.3 and removed since PHP 5.4
    ———————————————————————————————————————-

    FILE: ../wp-content/plugins/mainwp-child/class/class-mainwp-child-db.php
    ———————————————————————————————————–
    FOUND 7 ERRORS AFFECTING 7 LINES
    ———————————————————————————————————–
    20 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    28 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    36 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    44 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    55 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    66 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    77 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    ———————————————————————————————————–

    FILE: ../wp-content/plugins/mainwp-child/class/class-mainwp-child-timecapsule.php
    —————————————————————————————————————
    FOUND 2 ERRORS AFFECTING 2 LINES
    —————————————————————————————————————
    475 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    476 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    —————————————————————————————————————

    FILE: ../wp-content/plugins/mainwp-child/class/class-mainwp-child.php
    —————————————————————————————————
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    —————————————————————————————————
    1176 | WARNING | INI directive ‘safe_mode’ is deprecated since PHP 5.3 and removed since PHP 5.4
    —————————————————————————————————

    FILE: ../wp-content/plugins/mainwp-child/class/class-mainwp-child-back-wp-up.php
    ————————————————————————————————————–
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ————————————————————————————————————–
    459 | WARNING | INI directive ‘safe_mode’ is deprecated since PHP 5.3 and removed since PHP 5.4
    ————————————————————————————————————–

    • This reply was modified 9 months, 4 weeks ago by  dwcouch.

    Updated ticket status.

    MainWP Dashboard and Child plugins are PHP 7.0, 7.1 and 7.2 ready. Yes, some warning may appear when using the PHP Compatibility checker plugin, but those warnings are there because the plugin doesn’t check code context. The code that is not PHP 7.x ready, will never be called on PHP 7.x servers and there is a fallback, so everything works normally on PHP 7.x servers.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Compatibility Issues with PHP 7.2’ is closed to new replies.